(function ( $ ) {
	$.fn.fitPut = function(scale, obj) {
		var scale = scale || 1;
		var o = $.extend({
			min: '1', //As long as your font size isn't over 9000!!!
			max: '9001'
		},obj);
		
		return this.each(function() {
			var thisObj = $(this);
			var size = $(window).width() / (12.5 * scale);			
			if (size > o.max) {
				size = o.max;
			}
			if (size < o.min) {
				size = o.min;
			}
			thisObj.css({
				'font-size': size + 'px'
			});	

			 $(window).on('resize', function() {
				var size = $(window).width() / (12.5 * scale);
				if (size > o.max) {
					size = o.max;
				}
				if (size < o.min) {
					size = o.min;
				}
				thisObj.css({
					'font-size': size + 'px'
				});	
			 });
			
		});
	}
}( jQuery ));